Package uk.ac.starlink.topcat.plot2

## Class InstantTipper

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - uk.ac.starlink.topcat.plot2.InstantTipper

- All Implemented Interfaces:
    `java.awt.event.MouseListener`, `java.awt.event.MouseMotionListener`, `java.awt.event.MouseWheelListener`, `java.util.EventListener`

      public class InstantTipper
      extends java.awt.event.MouseAdapter

  MouseListener that, when installed on a component, causes tooltips to appear instantly and without dismissal.

  This works by doctoring the global ToolTipManager. It will not play nicely with any other code that is making global adjustments to tool tip management. I'd like to do it differently, but ToolTipManager itself is a singleton, which makes it difficult to handle this in a more localised way.

  Singleton class.

  Since:
    29 Jan 2015
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InstantTipper` | `getInstance()` | Returns the sole instance of this class.
    `void` | `mouseEntered​(java.awt.event.MouseEvent evt)` |
    `void` | `mouseExited​(java.awt.event.MouseEvent evt)` |

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### mouseEntered

          public void mouseEntered​(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseEntered` in class `java.awt.event.MouseAdapter`

    - #### mouseExited

          public void mouseExited​(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseExited` in class `java.awt.event.MouseAdapter`

    - #### getInstance

          public static InstantTipper getInstance()

      Returns the sole instance of this class.

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.